// Oleg Petruny proprietary.

#pragma once

#include "InteractableModificator.h"

#include "SawInteractableModificator.generated.h"

DECLARE_DYNAMIC_MULTICAST_DELEGATE(FSawInteractableModificatorActivatedDelegate);

/**
 * Basic modificator for Saw type activator
 */
UCLASS(Blueprintable, BlueprintType, ClassGroup = InteractableModificator, meta = (BlueprintSpawnableComponent, ShortTooltip = "Basic modificator for Saw type activator"), MinimalAPI)
class USawInteractableModificator : public UInteractableModificator
{
    GENERATED_BODY()

public:
    USawInteractableModificator(const FObjectInitializer& ObjectInitializer);

    void Bind_Implementation(class UEnhancedInputComponent* input) override;

    UPROPERTY(BlueprintAssignable)
    FSawInteractableModificatorActivatedDelegate OnSaw;
};
